org.apache.torque.generator.source.transform.model

## Class NoSuchPropertyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.torque.generator.GeneratorException
      - - org.apache.torque.generator.source.transform.SourceTransformerException
        - - org.apache.torque.generator.source.transform.model.NoSuchPropertyException

- All Implemented Interfaces:
    Serializable

      public class NoSuchPropertyException
      extends SourceTransformerException

  Indicates that an attempt was made to access a property which does not exist.
  Version:
    $Id: $
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `NoSuchPropertyException(Object target, String name, List<String> prefixList, List<String> suffixList)` Constructor.
    `protected` | `NoSuchPropertyException(String message)` Constructor.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoSuchPropertyException

          public NoSuchPropertyException(Object target,
                                         String name,
                                         List<String> prefixList,
                                         List<String> suffixList)

      Constructor.
      Parameters:
        `target` - the object on which the property was unsuccessfully accessed.
        `name` - the name of the property which was unsuccessfully accessed.
        `prefixList` - list of prefixes
        `suffixList` - list of suffixes

    - #### NoSuchPropertyException

          protected NoSuchPropertyException(String message)

      Constructor.
      Parameters:
        `message` - The exception message.

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.